nvme_identify_nvmset_list(2)

NAME
nvme_identify_nvmset_list - Retrieves NVM Set List

SYNOPSIS
int nvme_identify_nvmset_list (int fd , __u16 nvmsetid , struct nvme_id_nvmset_list *nvmset );

ARGUMENTS

fd  File descriptor of nvme device

nvmsetid
    NVM Set Identifier

nvmset
    User space destination address to transfer the data

DESCRIPTION
Retrieves an NVM Set List, struct nvme_id_nvmset_list. The data structure is an ordered list by NVM Set Identifier, starting with the first NVM Set Identifier supported by the NVM subsystem that is equal to or greater than the NVM Set Identifier.

See struct nvme_id_nvmset_list for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.